package com.example.gatewayissue

import org.slf4j.Logger
import org.slf4j.LoggerFactory
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.PostMapping
import org.springframework.web.bind.annotation.RequestBody
import org.springframework.web.bind.annotation.RestController

@RestController
class Controller {
    private val logger: Logger = LoggerFactory.getLogger(this::class.java)

    @PostMapping("/base/transcoder/v1/break")
    fun base(@RequestBody body: String?): ResponseEntity<String> {
        logger.info("Come in: $body")

        return ResponseEntity.ok(body)
    }
}
